import { System } from '../system';
import { IPositionCallback, IPositionEntry, IPositionObserver } from '../types/global/IPositionObserver';
export declare class PositionObserver implements IPositionObserver {
    private _system;
    private _callback;
    private _unlisten;
    private _abort;
    constructor(system: System, callback: IPositionCallback);
    observe(element: HTMLElement): IPositionEntry;
    disconnect(): void;
}
